Bug 543101 - DMRAID: missing library libdmraid-events-*.so
DMRAID: missing library libdmraid-events-*.so
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
12
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Heinz Mauelshagen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-01 12:23 EST by Soeren Grunewald
Modified: 2010-12-03 21:26 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 21:26:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
heinzm: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Soeren Grunewald 2009-12-01 12:23:48 EST
Description of problem:
The dynamic shared library "libdmraid-events-pdc.so" and "libdmraid-events-dos.so" could not be loaded.

Version-Release number of selected component (if applicable):
[user@host ~]$ dmraid -V
dmraid version:		1.0.0.rc16 (2009.09.16) debug 
dmraid library version:	1.0.0.rc16 (2009.09.16)
device-mapper version:	unknown

[user@host ~]$ rpm -qa | grep dmraid | sort
dmraid-1.0.0.rc16-4.fc12.x86_64
dmraid-events-1.0.0.rc16-4.fc12.x86_64


How reproducible:
always


Steps to Reproduce:
1. Mainboard with ATI 790FX chipset (RD790/SB700)
2. RAID with 2 or more disks
3. sudo dmraid -ay


Actual results:
sudo dmraid -ay 
RAID set "pdc_bgjghdfae" already active
The dynamic shared library "libdmraid-events-pdc.so" could not be loaded:
    libdmraid-events-pdc.so: cannot open shared object file: No such file or directory
RAID set "pdc_bgjghdfaep1" already active
The dynamic shared library "libdmraid-events-dos.so" could not be loaded:
    libdmraid-events-dos.so: cannot open shared object file: No such file or directory
RAID set "pdc_bgjghdfaep2" already active
The dynamic shared library "libdmraid-events-dos.so" could not be loaded:
    libdmraid-events-dos.so: cannot open shared object file: No such file or directory
RAID set "pdc_bgjghdfaep3" already active
The dynamic shared library "libdmraid-events-dos.so" could not be loaded:
    libdmraid-events-dos.so: cannot open shared object file: No such file or directory
RAID set "pdc_bgjghdfaep5" already active
The dynamic shared library "libdmraid-events-dos.so" could not be loaded:
    libdmraid-events-dos.so: cannot open shared object file: No such file or directory
RAID set "pdc_bgjghdfaep6" already active
The dynamic shared library "libdmraid-events-dos.so" could not be loaded:
    libdmraid-events-dos.so: cannot open shared object file: No such file or directory
RAID set "pdc_bgjghdfaep7" already active
The dynamic shared library "libdmraid-events-dos.so" could not be loaded:
    libdmraid-events-dos.so: cannot open shared object file: No such file or directory

Expected results:
no error messages no warnings

Additional info:
It seems that the files are not part of the package because it only contains "libdmraid-events-isw.so". 

[user@host ~]$ rpm -ql dmraid-1.0.0.rc16-4.fc12.x86_64 
/lib64/libdmraid-events-isw.so
/lib64/libdmraid-events-isw.so.1.0.0.rc16
/lib64/libdmraid.so
/lib64/libdmraid.so.1.0.0.rc16
...

Rebuilding package from SRPM won't help because  the source files for the libraries are missing.
Comment 1 Hans de Goede 2009-12-01 14:05:20 EST
Heinz,

I'm afraid we will keep on getting this until dmraid is made smart enough to not do this for formats which do not have a libdmraid-events-foo.so
(Note I think we really ought to fix this before RHEL-6).

Soeren,

Thanks for the bug report. This is not really a bug, dmraid only needs / uses
a libdmraid-events-foo.so for isw raid sets. I do agree that as it does not need it it should not complain about it.

Regards,

Hans
Comment 3 Heinz Mauelshagen 2009-12-07 11:27:52 EST
A potential fix for this issue is being implemented.
We'll ask you to test once we are ready.

Thanks,
Heinz
Comment 6 Heinz Mauelshagen 2009-12-08 08:22:06 EST
Soeren,

please fetch an updated rpm from

http://koji.fedoraproject.org/koji/taskinfo?taskID=1860024

test and report here, if it works for you.

Thanks for your help,
Heinz
Comment 7 Soeren Grunewald 2009-12-08 08:48:18 EST
Looks good, no more errors

Thanks,
Soeren

[user@host ~]$ rpm -qa | grep -i dmraid | sort
dmraid-1.0.0.rc16-8.fc13.x86_64
dmraid-events-1.0.0.rc16-8.fc13.x86_64

[user@host ~]$ sudo dmraid -ay 
RAID set "pdc_bgjghdfae" already active
RAID set "pdc_bgjghdfae" was not activated
RAID set "pdc_bgjghdfaep1" already active
RAID set "pdc_bgjghdfaep1" was not activated
RAID set "pdc_bgjghdfaep2" already active
RAID set "pdc_bgjghdfaep2" was not activated
RAID set "pdc_bgjghdfaep3" already active
RAID set "pdc_bgjghdfaep3" was not activated
RAID set "pdc_bgjghdfaep5" already active
RAID set "pdc_bgjghdfaep5" was not activated
RAID set "pdc_bgjghdfaep6" already active
RAID set "pdc_bgjghdfaep6" was not activated
RAID set "pdc_bgjghdfaep7" already active
RAID set "pdc_bgjghdfaep7" was not activated
Comment 8 Heinz Mauelshagen 2009-12-08 11:25:08 EST
Alright, thanks for testing.
Comment 9 Alin Ilie 2009-12-26 14:40:20 EST
Sorry for my lack of knowledge. How can I fetch the dmraid-1.0.0.rc16-8.fc13 rpm mentioned above?h
Comment 10 Hans de Goede 2009-12-27 03:48:52 EST
(In reply to comment #9)
> Sorry for my lack of knowledge. How can I fetch the dmraid-1.0.0.rc16-8.fc13
> rpm mentioned above?h  

Click on the build for your arch here, then download the rpm's and install them.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1860024
Comment 11 Bug Zapper 2010-11-04 00:44:02 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-03 21:26:37 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.